<template>
  <div id="tablevue">
    <!-- <b-button @click="trainerInnen()" block variant="warning" class="m-2">Alle TrainerIn laden</b-button> -->
    <!-- <b-table striped hover :items="items" :fields="fields"></b-table> -->
    <!-- <table class="table">
      <th>Name</th>
      <tr v-for="(person, id) in items" :key="id">
        <td>{{person.name}}</td>
      </tr>
    </table> -->
    

  </div>
</template>

<script>
  export default {
    data() {
      return {
        // Note 'isActive' is left out and will not appear in the rendered table
        fields: ["id", "name", "email", "adresse", "telnum", "anstellungEnums", "bruttoGehalt", "fachId"],
        items: [
          // { isActive: true, age: 40, first_name: 'Dickerson', last_name: 'Macdonald' },
          // { isActive: false, age: 21, first_name: 'Larsen', last_name: 'Shaw' },
          // { isActive: false, age: 89, first_name: 'Geneva', last_name: 'Wilson' },
          // { isActive: true, age: 38, first_name: 'Jami', last_name: 'Carney' }
        ]
      }
    },
    methods: {
    async trainerInnen() {
      const response = await this.$store.dispatch("alleTrainnerInnen")
      console.log(response)
      this.items=response
    }
  }
  }
  
</script>

<style>
 #tablevue {
   margin-top: 40px;
 }
</style>

<!-- <template>
  <div id="tablevue">
    <b-table striped hover :items="items"></b-table>
  </div>
</template>

<script>
  export default {
    data() {
      return {
        items: [
          { ID: 40, Name: 'Dickerson', eMail_Adresse: 'Macdonald', Adresse: 'Rohweg 3, 1110 Wien', Telefonnummer: '0043650491465', Anstellungsart: 'Vollzeit', Brutto_Gehalt: '3200'},
          { ID: 40, Name: 'Dickerson', eMail_Adresse: 'Macdonald', Adresse: 'Rohweg 3, 1110 Wien', Telefonnummer: '0043650491465', Anstellungsart: 'Vollzeit', Brutto_Gehalt: '3200' },
          { ID: 40, Name: 'Dickerson', eMail_Adresse: 'Macdonald', Adresse: 'Rohweg 3, 1110 Wien', Telefonnummer: '0043650491465', Anstellungsart: 'Vollzeit', Brutto_Gehalt: '3200' },
          { ID: 40, Name: 'Dickerson', eMail_Adresse: 'Macdonald', Adresse: 'Rohweg 3, 1110 Wien', Telefonnummer: '0043650491465', Anstellungsart: 'Vollzeit', Brutto_Gehalt: '3200' },
          
        ]
      }
    }
  }
</script>

<style>
 #tablevue {
   margin-top: 60px;
 }
</style> -->